Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
ad.pham234

Mong Các Bác Làm Hộ Em Cái Líp Lấy Text Từ Dim

Các bài được khuyến nghị

Rất mong các bác giúp đỡ.

Làm cho em cái lip lấy text từ dimension có sẵn chỉ pích vào dimension là có thể lấy text ra, text mới được lấy ra tự động nhỏ hơn text của dimension là 3/4 lần.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

;; lisp này hiện lên 3/4 giá trị text

(defun c:test1 ( / str str1)

  

  (setq str (vla-get-Measurement (vlax-ename->vla-object (car (entsel)))))

  (setq str1 (* str 0.75))

  

  (alert (strcat (rtos str) " * 0.75 = \n" (rtos str1)))

  )

;;;lisp này thay thế text = giá trị 3/4 text cũ

(defun c:test2 ( / ob str str1)

  

  (setq ob (vlax-ename->vla-object (car (entsel))))

  (setq str (vla-get-Measurement ob)

        str (* str 0.75)

str (rtos str 2 0)

  )

  (vla-put-TextOverride ob str)

  )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

;; lisp này hiện lên 3/4 giá trị text

(defun c:test1 ( / str str1)

  

  (setq str (vla-get-Measurement (vlax-ename->vla-object (car (entsel)))))

  (setq str1 (* str 0.75))

  

  (alert (strcat (rtos str) " * 0.75 = \n" (rtos str1)))

  )

;;;lisp này thay thế text = giá trị 3/4 text cũ

(defun c:test2 ( / ob str str1)

  

  (setq ob (vlax-ename->vla-object (car (entsel))))

  (setq str (vla-get-Measurement ob)

        str (* str 0.75)

str (rtos str 2 0)

  )

  (vla-put-TextOverride ob str)

  )

cảm ơn bác nhiều ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn bác nhiều ạ

Bác ơi bà hiểu sai ý em rồi tại em hay dùng text của dimension để viết trong bản vẽ text và dimension phải cùng kích thước phải không bác, nhưng mỗi lần thế em toàn phải xplose dimension ra rồi xóa nét dim để lại chữ nên rất bất tiện.

Nên em mong bác làm hộ em em cái lip lấy text từ dimension có sẵn chỉ pích vào dimension là có thể lấy text ra, text mới được lấy ra tự động nhỏ hơn text của dimension là 3/4 lần.

em cảm ơn bác trước ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lưu ý: diễn đạt nội dung câu hỏi một cách cặn kẽ nhất có thể; người trả lời sẽ dễ hình dung trình tự công việc bạn muốn làm.

(defun c:test ( / ob str p1 h style)

(setq ob (vlax-ename->vla-object (car (entsel))))

(setq str (vla-get-Measurement ob)

str (* str 0.75)

str (rtos str 2 0)

style (vla-get-TextStyle ob)

h (vla-get-TextHeight ob)

p1 (getpoint "\nDiem dat text:")

)

(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lưu ý: diễn đạt nội dung câu hỏi một cách cặn kẽ nhất có thể; người trả lời sẽ dễ hình dung trình tự công việc bạn muốn làm.

(defun c:test ( / ob str p1 h style)

(setq ob (vlax-ename->vla-object (car (entsel))))

(setq str (vla-get-Measurement ob)

str (* str 0.75)

str (rtos str 2 0)

style (vla-get-TextStyle ob)

h (vla-get-TextHeight ob)

p1 (getpoint "\nDiem dat text:")

)

(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))

)

mong bác sửa giúp em lần này nữa ạ em có kèm fie minh họa ạhttp://www.cadviet.com/upfiles/7/144248_new_block.dwg

em cảm ơn bác trước ạ.mong bác giúp em ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(defun c:test ( / ob str p1 h style)
(setq ob (vlax-ename->vla-object (car (entsel "\n Chon dim:"))))
(setq str (rtos (vla-get-Measurement ob) 2 0)
style (vla-get-TextStyle ob)
h (* (vla-get-TextHeight ob) (vla-get-ScaleFactor ob) 0.75)
p1 (getpoint "\nDiem dat text:"))
(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

 

(defun c:test ( / ob str p1 h style)

(setq ob (vlax-ename->vla-object (car (entsel "\n Chon dim:"))))

(setq str (rtos (vla-get-Measurement ob) 2 0)

style (vla-get-TextStyle ob)

h (* (vla-get-TextHeight ob) (vla-get-ScaleFactor ob) 0.75)

p1 (getpoint "\nDiem dat text:"))

(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))

)

bác ơi sao không được a nó báo thế này ạ 

Command: TEST
 Chon dim:; error: no function definition: VLAX-ENAME->VLA-OBJECT
Chỉnh sửa theo ad.pham234
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái đó do bạn dùng UCS ở chế độ người dùng rồi. Chọn UCS -World là được

dạ cảm ơn bác líp chạy rất tốt ạ .

cám ơn sự giúp đỡ rất nhiệt tình của bác ạ.chúc bác 1 ngày thứ 7 vui vẻ ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

dạ cảm ơn bác líp chạy rất tốt ạ .

cám ơn sự giúp đỡ rất nhiệt tình của bác ạ.chúc bác 1 ngày thứ 7 vui vẻ

 

bác cho hỏi no báo thế này la bị làm sao ạ
Command: TU
 Chon dim:; error: ActiveX Server returned the error: unknown name: Measurement

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×